#include <stdio.h>

using namespace std;

int main()
{
    void zameni(int*, int*);
    int n, niz[1000000], i, j, pom[1000000];
    scanf("%d", &n);
    for(i=0;i<n;i++)
    {
        scanf("%d", &niz[i]);
        pom[i]=niz[i];
    }
    int k=0, p=0, q=0;
    for(i=0;i<n-1;i++)
        for(j=i+1;j<n;j++)
        if(pom[i]<pom[j])
            zameni(&pom[i], &pom[j]);
    for(i=0;i<n;i++)
        if(pom[i]!=niz[i])
        {
            p=i;
            k++;
            break;
        }
    if(k!=0){
    for(j=n-1;j>=0;j--)
        if(niz[j]==pom[i])
        break;
    zameni(&niz[p], &niz[j]);}
    else
        zameni(&niz[n-2], &niz[n-1]);
    for(i=0;i<n;i++)
        printf("%d ", niz[i]);
    return 0;
}
void zameni(int*a, int*b)
{
    int c;
    c=*a;
    *a=*b;
    *b=c;
}